summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gmail.com>2008-04-13 23:57:58 +0000
committerMatt Turner <mattst88@gmail.com>2008-04-13 23:57:58 +0000
commit89b4dd5242cbaac5e6829bfe76a439da9d1e08eb (patch)
tree0b222c4c4884540176de708c6cb54549246fa37e
parent194fd6f460f58d7dc5f148379c11b2587e6ad212 (diff)
Fix up ccc ebuild majorly
git-svn-id: svn://mattst88.com/svn/compaq-c-overlay@5 8c41e67f-757b-4206-be13-12d8f16ad5be
-rw-r--r--dev-lang/ccc/Manifest2
-rw-r--r--dev-lang/ccc/ccc-6.5.9.001.ebuild63
2 files changed, 25 insertions, 40 deletions
diff --git a/dev-lang/ccc/Manifest b/dev-lang/ccc/Manifest
index 32dec8b..7f874d1 100644
--- a/dev-lang/ccc/Manifest
+++ b/dev-lang/ccc/Manifest
@@ -1,4 +1,4 @@
AUX create-comp-config.patch 1778 RMD160 d7db830813d2f5cf3df8fbda3329ab0addac54be SHA1 c655f7bb3395a21547ab224fc758118fce623cc7 SHA256 c387e155312f08e82b8c5a75e79cf252d170512d28e07a4cae30a5b2e096d2cb
AUX probe_linux.patch 1074 RMD160 682b84d3d177a2f9af90ed87e834763a97392de9 SHA1 cade04ece40991bf0698daac857f5e70e2edae33 SHA256 346e16ad5f3819cb810e3ee58c5e075e7ca885ce1feb30d59bcf8267ed9a9560
DIST ccc-6.5.9.001-6.alpha.rpm 7160915 RMD160 3a03914049ca21f4dc030661eafa28aa6015aa34 SHA1 e8a80726d50477e028a382360311e6f0ac8b4e25 SHA256 019aa8d24cf1d70a63851847824cd6afe7aabfaf8f00daba7ee7eb8645fa6ace
-EBUILD ccc-6.5.9.001.ebuild 3908 RMD160 76e8c5c111090db08415fd3218eafe1d41ec9572 SHA1 25a8944a73f7b6def6a72b8c0c5a8808ebcd9605 SHA256 c8f529c10f7a3a1550951f905faacf95b88b4c98678695a87ef8cc0a8bc0997f
+EBUILD ccc-6.5.9.001.ebuild 3725 RMD160 413913a7d926154cda6505d050444b94aac8f0bb SHA1 afebde5951a509e45622a7f8c3d4367c7a0ab4e6 SHA256 3e41442def3511fbfc5f3c7845ef407643afe5bcc2c3d4bd9906b9ea995dc0b7
diff --git a/dev-lang/ccc/ccc-6.5.9.001.ebuild b/dev-lang/ccc/ccc-6.5.9.001.ebuild
index f2bad69..eb53878 100644
--- a/dev-lang/ccc/ccc-6.5.9.001.ebuild
+++ b/dev-lang/ccc/ccc-6.5.9.001.ebuild
@@ -26,6 +26,7 @@ RDEPEND="virtual/libc
DEPEND="${RDEPEND}
sys-devel/gcc-config
+ app-arch/rpm2targz
>=sys-apps/sed-4
>=app-shells/bash-2.05b"
@@ -35,17 +36,19 @@ src_unpack() {
# convert rpm into tar archive
local ccc_rpm="ccc-${ccc_release}.alpha.rpm"
- ebegin "Unpacking ccc distribution..."
rpm_src_unpack ${ccc_rpm}
+}
+src_compile() {
find ${S}/usr -type d -exec chmod a+rx {} \;
# patch up config script to sort gcc-lib paths last. Thanks to
# Marc Giger for sorting this out
epatch ${FILESDIR}/create-comp-config.patch
epatch ${FILESDIR}/probe_linux.patch
+
# remove unwanted documentation
- if ! use doc; then
+ if ! use doc > /dev/null; then
einfo "Removing unwanted documentation (USE=\"-doc\")..."
rm -rf usr/doc
fi
@@ -61,38 +64,29 @@ src_unpack() {
mkdir usr/share
mv usr/lib/compaq/ccc-${ccc_release}/alpha-linux/man usr/share
- if use doc; then
+ if use doc > /dev/null; then
einfo "Reorganising documentation..."
mv usr/doc usr/share
fi
}
-src_compile() {
- true # nothing to compile
-}
-
src_install() {
# move files over
mv usr ${D} || die "ccc installation failed"
- # prep manpages
- prepman ${D}/usr/share/man/man1/ccc.1
- prepman ${D}/usr/share/man/man8/protect_headers_setup.8
+ # prep docs
prepalldocs
-
- # install ccc proxy until config is executed
- mv ${D}/usr/bin/ccc{,.real}
- cat >${D}/usr/bin/ccc <<EOF
-#!/bin/sh
-echo "Error: ccc must be configured before compiling!" >&2
-echo "The system administrator must run the following command:" >&2
-echo " emerge --config =${CATEGORY}/${PF}" >&2
-exit 1
-EOF
- chmod 0755 ${D}/usr/bin/ccc
}
pkg_config () {
+ einfo "Attempting configuration of ccc"
+ # NOTE: _must_ hide distcc, ccache, etc during this step
+ PATH=/bin:/usr/bin:/sbin:/usr/sbin \
+ /usr/lib/compaq/ccc-${ccc_release}/alpha-linux/bin/create-comp-config.sh \
+ ccc-${ccc_release} ${gcc_libs_path}
+ echo
+
+ # fix up lib paths - bug #15719, comment 6
einfo "Copying crtbegin/crtend from gcc"
local gcc_libs_path="`gcc-config --get-lib-path`"
if [[ $? != 0 || ! -d "${gcc_libs_path}" ]]; then
@@ -104,26 +98,20 @@ pkg_config () {
assert "Failed to copy crtbegin/crtend.o from ${gcc_libs_path}"
fi
- # Need the real ccc prior to configuration
- if [[ -f /usr/bin/ccc.real ]]; then
- einfo "Moving ccc.real into place"
- rm -f /usr/bin/ccc
- mv /usr/bin/ccc.real /usr/bin/ccc
- assert "failed to rename ccc.real"
- fi
-
- einfo "Attempting configuration of ccc"
- # NOTE: _must_ hide distcc, ccache, etc during this step
- PATH=/bin:/usr/bin:/sbin:/usr/sbin \
- /usr/lib/compaq/ccc-${ccc_release}/alpha-linux/bin/create-comp-config.sh \
- ccc-${ccc_release} ${gcc_libs_path}
- echo
+ # add gcc-lib path to ccc's search path
+ # check man ccc for file format info.
+# einfo "Configuring ccc to observe gcc library path and include paths"
+# printf '%s %s %s\n' \
+# "-L${gcc_libs_path}" \
+# " -SysIncDir /usr/lib/compaq/ccc-${ccc_releasei%*-1}/alpha-linux/include" \
+# " -SysIncDir /usr/include/linux" \
+# > /usr/lib/compaq/ccc-${ccc_release%*-1}/alpha-linux/bin/comp.config
+# einfo "Additional paths can be set by users using \$DEC_CCC variable."
einfo "ccc has been configured, you can now use it as usual."
}
pkg_postinst () {
- echo
elog "ccc has been merged successfully, the EULA"
elog "is available in"
elog
@@ -134,12 +122,9 @@ pkg_postinst () {
elog "in /usr/share/doc/ccc-${PV}"
fi
- echo
ewarn
ewarn "You _MUST_ now run:"
ewarn "emerge --config =${CATEGORY}/${PF}"
ewarn "to complete the installation"
ewarn
-
- echo
}